@echo off
set DEVICE=m328pb
set PROGRAMMER=avrispmkII
set HEXFILE=A00001_V22_B00048.hex
set FUSE_EXT=0xF5
set FUSE_HIGH=0xDA
set FUSE_LOW=0xCE
set LOCKBITS=0xEC
avrdude.exe -p %DEVICE% -c %PROGRAMMER% -U flash:w:%HEXFILE%:i -U lfuse:w:%FUSE_LOW%:m -U hfuse:w:%FUSE_HIGH%:m -U efuse:w:%FUSE_EXT%:m -U lock:w:%LOCKBITS%:m
if errorlevel 1 (
    echo #####################################
	echo ##                                 ##
	echo ##  Programmierung fehlgeschlagen  ##
	echo ##                                 ##
	echo #####################################
	echo ...
	pause
    exit /b %errorlevel%
)
echo --------------------------------
echo -- Programmierung erfolgreich --
echo --------------------------------
echo ...
pause
